{% extends 'Proyecto/viewProyectoBase.html' %}
{% load custom_tags %}
{% block tab-miembros %}
    <li class="nav-item">
        <a class="nav-link active" href="#">Miembros</a>
    </li>
{% endblock %}
{% block content-project %}

    <div class="alert alert-warning d-flex align-items-center m-2" role="alert">
        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Warning:">
            <use xlink:href="#exclamation-triangle-fill"/>
        </svg>
        <div>
            Observación : Los miembros que tengan vinculados una US (historia de usuario)
            que este en estado Pendiente, En Proceso o Hecho, y a la vez, estos esten en un Sprint Pendiente
            o En Curso, deberan de ser reemplazados por otro miembro.
        </div>
    </div>
    <div class="input-group">
        <input type="text" id="buscarMiembro" onkeyup="buscarTabla('buscarMiembro','tablaMiembro')"
               placeholder="Buscar por nombre"
               title="Escriba un rol" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
    </div>
    <table class="table table-hover" id="tablaMiembro">
        <thead class="thead-dark">
        <tr>
            <th scope="col" onclick="sortTable(0,'tablaMiembro','String')">Nombre</th>
            <th scope="col" onclick="sortTable(1,'tablaMiembro','String')">Apellido</th>
            <th scope="col" onclick="sortTable(2,'tablaMiembro','String')">Rol</th>
            <th scope="col" onclick="sortTable(3,'tablaMiembro','String')">Correo Electronico</th>
            <th scope="col" onclick="sortTable(4,'tablaMiembro','Numero')">Horas Disponible</th>
            <th scope="col">Acciones</th>
        </tr>
        </thead>
        <tbody>
        {% for m in miembrosProyecto %}
            {% if m.activo %}
                <tr>
                    <td >{{ m.idUser.first_name }}</td>
                    <td>{{ m.idUser.last_name }}</td>
                    <td>{{ m.idRol }}</td>
                    <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">{{ m.idUser.email }}</td>
                    <td>{{ horasMiembros|get_at_index:forloop.counter0 }}</td>
                    <td>
                        <a href="{% url 'Proyecto:verMiembros' idProyecto m.id m.idUser.id %}"
                           title="Ver" type="button" class="btn btn-success">Ver</a>
                        {# aqui se pasan los parametros que se necesitan en view.py #}
                        {% if proyecto.estado != 'T' %}
                            <a href="{% url 'Proyecto:editarMiembros' idProyecto m.id m.idUser.id %}"
                               title="Editar" type="button" class="btn btn-primary
                            {% if permisos %}{% if not permisos|get_at_index:4 %} disabled {% endif %}{% endif %}
                            ">Editar</a>
                            <a class="btn btn-danger
                            {% if permisos %}{% if not permisos|get_at_index:5 %} disabled {% endif %}{% endif %}
                            " href="{% url 'Proyecto:eliminarMiembros' idProyecto m.id %} "
                               role="button">Eliminar</a>
                        {% endif %}
                    </td>
                </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>
    <div class="p-3">
        {% if proyecto.estado != 'T' %}
            <a href="{% url 'Proyecto:listaDeUsuarios' idProyecto %}"
               class="btn btn-primary
                       {% if permisos %}{% if not permisos|get_at_index:3 %} disabled {% endif %}{% endif %}">Agregar
                Miembros</a>
        {% endif %}

        <a class="btn btn-secondary center" href="{% url 'Proyecto:index' %} "
           role="button">Volver</a>
    </div>

{% endblock %}